<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="fd87879c-21b4-4e81-a19a-c4adbfcc3317" data-root-id="p6250" style="display: contents;"></div>
  
    <script type="application/json" id="p6289">
      {"c4706c74-3d52-48fe-b4d2-6b34662a06ca":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"Figure","id":"p6250","attributes":{"height":350,"x_range":{"type":"object","name":"FactorRange","id":"p6249","attributes":{"factors":["A"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p6252","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p6260"},"y_scale":{"type":"object","name":"LinearScale","id":"p6261"},"title":{"type":"object","name":"Title","id":"p6253","attributes":{"text":"Matches Count Against Al-Wehda FC","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p6282","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6273","attributes":{"selected":{"type":"object","name":"Selection","id":"p6274","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6275"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAA=="},"shape":[1],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A"],"shape":[1],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"BAAAAA=="},"shape":[1],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p6283","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6284"}}},"glyph":{"type":"object","name":"VBar","id":"p6279","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p6280","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p6281","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p6259","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p6272","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p6267","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p6268","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p6269"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p6270"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p6262","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p6263"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p6264"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p6265"}}}],"center":[{"type":"object","name":"Grid","id":"p6266","attributes":{"axis":{"id":"p6262"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p6271","attributes":{"dimension":1,"axis":{"id":"p6267"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p6285","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p6286","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p6282"}]}}]}}]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p6289').textContent;
              const render_items = [{"docid":"c4706c74-3d52-48fe-b4d2-6b34662a06ca","roots":{"p6250":"fd87879c-21b4-4e81-a19a-c4adbfcc3317"},"root_ids":["p6250"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>